Package com.clickhouse.jdbc

# Class ClickHouseDataSource

java.lang.Object
com.clickhouse.jdbc.ClickHouseDataSource

All Implemented Interfaces:
  `JdbcV2Wrapper`, `Wrapper`, `CommonDataSource`, `DataSource`

@Deprecated public class ClickHouseDataSource extends Object implements DataSource, JdbcV2Wrapper
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`ClickHouseDataSource(String url)`
Deprecated.
`ClickHouseDataSource(String url, Properties properties)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getConnection()`
Deprecated.
`Connection`
`getConnection(String username, String password)`
Deprecated.
`int`
`getLoginTimeout()`
Deprecated.
`PrintWriter`
`getLogWriter()`
Deprecated.
`Logger`
`getParentLogger()`
Deprecated.
`void`
`setLoginTimeout(int seconds)`
Deprecated.
`void`
`setLogWriter(PrintWriter out)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`createShardingKeyBuilder`

### Methods inherited from interface javax.sql.DataSource

`createConnectionBuilder`

### Methods inherited from interface com.clickhouse.jdbc.JdbcV2Wrapper

`isWrapperFor, unwrap`

## Constructor Details

### ClickHouseDataSource

public ClickHouseDataSource(String url) throws SQLException
Deprecated.

Throws:
  `SQLException`

### ClickHouseDataSource

public ClickHouseDataSource(String url, Properties properties) throws SQLException
Deprecated.

Throws:
  `SQLException`

## Method Details

### getConnection

public Connection getConnection() throws SQLException
Deprecated.

Specified by:
  `getConnection` in interface `DataSource`
Throws:
  `SQLException`

### getConnection

public Connection getConnection(String username, String password) throws SQLException
Deprecated.

Specified by:
  `getConnection` in interface `DataSource`
Throws:
  `SQLException`

### getLogWriter

public PrintWriter getLogWriter() throws SQLException
Deprecated.

Specified by:
  `getLogWriter` in interface `CommonDataSource`
Specified by:
  `getLogWriter` in interface `DataSource`
Throws:
  `SQLException`

### setLogWriter

public void setLogWriter(PrintWriter out) throws SQLException
Deprecated.

Specified by:
  `setLogWriter` in interface `CommonDataSource`
Specified by:
  `setLogWriter` in interface `DataSource`
Throws:
  `SQLException`

### setLoginTimeout

public void setLoginTimeout(int seconds) throws SQLException
Deprecated.

Specified by:
  `setLoginTimeout` in interface `CommonDataSource`
Specified by:
  `setLoginTimeout` in interface `DataSource`
Throws:
  `SQLException`

### getLoginTimeout

public int getLoginTimeout() throws SQLException
Deprecated.

Specified by:
  `getLoginTimeout` in interface `CommonDataSource`
Specified by:
  `getLoginTimeout` in interface `DataSource`
Throws:
  `SQLException`

### getParentLogger

public Logger getParentLogger() throws SQLFeatureNotSupportedException
Deprecated.

Specified by:
  `getParentLogger` in interface `CommonDataSource`
Throws:
  `SQLFeatureNotSupportedException`